fp2preview(1)

NAME
fp2preview - generate a preview for a library footprint

SYNPOSIS

fp2preview [options] [inputfile]

DECSRIPTION
fp2preview invokes pcb-rnd to generate a preview image of a library footprint. Its main use is to have a automated, light-weight footprint preview generator using a static linked pcb-rnd (e.g. on web servers).

OPTIONS

--photo
    draw the footprint in "photo realistic mode"

-p  same as --photo

--grid unit
    set grid unit e.g. to mm or mil

-g unit
    same as --grid

--mm
    use an mm grid instead of a mil grid; shorthand for -g mm

--annotation types
    turn on annotation types; types is a string that may consist "pins" for pin/pad numbers, "dimname" and "dimvalue" for dimension names and values and "background" for drawing a background under annotation text